summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJingbei Li2016-08-29 14:31:54 +0800
committerJingbei Li2016-08-29 14:31:54 +0800
commit02b0a8838ba7787997a956f6428d70dc0d9b4d76 (patch)
treed825719dbe4b974190eb5cab6e7c22ede7943618
downloadaur-02b0a8838ba7787997a956f6428d70dc0d9b4d76.tar.gz
fix PKGBUILD
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD39
2 files changed, 60 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..21d25becce5
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+# Generated by mksrcinfo v8
+# Mon Aug 29 06:31:49 UTC 2016
+pkgbase = torch7-cudnn-git
+ pkgdesc = Torch-7 FFI bindings for NVIDIA CuDNN
+ pkgver = r353.440f0d5
+ pkgrel = 1
+ url = https://github.com/soumith/cudnn.torch
+ arch = x86_64
+ arch = i686
+ license = BSD
+ makedepends = cmake
+ makedepends = git
+ depends = torch7-git>=r819
+ depends = cudnn
+ provides = torch7-cudnn
+ conflicts = torch7-cudnn
+ source = torch7-cudnn-git::git+https://github.com/soumith/cudnn.torch
+ sha512sums = SKIP
+
+pkgname = torch7-cudnn-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..dc8250b831b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,39 @@
+# Maintainer: Jingbei Li <i@jingbei.li>
+pkgdesc='Torch-7 FFI bindings for NVIDIA CuDNN'
+pkgname='torch7-cudnn-git'
+pkgver=r353.440f0d5
+pkgrel=1
+makedepends=('cmake' 'git')
+depends=('torch7-git>=r819' 'cudnn')
+conflicts=('torch7-cudnn')
+provides=('torch7-cudnn')
+arch=('x86_64' 'i686')
+url='https://github.com/soumith/cudnn.torch'
+license=('BSD')
+source=("${pkgname}::git+${url}")
+sha512sums=('SKIP')
+
+pkgver () {
+ cd "${pkgname}"
+ (
+ set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build () {
+ cd "${pkgname}"
+ cmake . -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release
+ make
+}
+
+package () {
+ cd "${pkgname}"
+ make DESTDIR="${pkgdir}" install
+
+ # Move pure Lua modules
+ mkdir -p "${pkgdir}/usr/share/lua/5.1"
+ mv "${pkgdir}/usr/lua/cudnn" "${pkgdir}/usr/share/lua/5.1/"
+ rm -rf "${pkgdir}/usr/lua"
+}